Bug 1575040 - Alert dashbaord is not raising alert when cluster is import with shortname
Summary: Alert dashbaord is not raising alert when cluster is import with shortname
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-monitoring-integration
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-05-04 15:35 UTC by gowtham
Modified: 2018-09-04 07:06 UTC (History)
6 users (show)

Fixed In Version: tendrl-ui-1.6.3-2.el7rhgs tendrl-ansible-1.6.3-4.el7rhgs tendrl-notifier-1.6.3-3.el7rhgs tendrl-commons-1.6.3-5.el7rhgs tendrl-api-1.6.3-3.el7rhgs tendrl-monitoring-integration-1.6.3-3.el7rhgs tendrl-node-agent-1.6.3-5.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:05:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl monitoring-integration issues 442 0 None None None 2018-05-04 15:36:17 UTC
Red Hat Bugzilla 1583171 0 unspecified CLOSED Utilization notifications use integration id instead of cluster name 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:06:47 UTC

Internal Links: 1583171

Description gowtham 2018-05-04 15:35:25 UTC
Description of problem:

If the cluster is imported without a name then monitoring-integration is raising alerts but if the cluster is imported using name then monitoring-integration is unable to raise the alerts. 

Version-Release number of selected component (if applicable):


How reproducible:
Import cluster using some name and increase any resource utilization above 75%. No alerts raised by tendrl for threshold breach.

Steps to Reproduce:
1. Import cluster using a name
2. increase some resource utilization above 75% (cpu or memory or brick or volume)
3. no alerts raised.

Actual results:
Tendrl is not raising utilization alerts.

Expected results:

Tendrl has to raise alerts when a resource threshold breached

Additional info:

Comment 6 Filip Balák 2018-05-28 12:05:29 UTC
Alerts are raised --> VERIFIED
but notifications use integration id instead of cluster name as described in BZ 1583171.

Tested with:
tendrl-ansible-1.5.4-7.el7rhgs.noarch
tendrl-api-1.5.4-4.el7rhgs.noarch
tendrl-api-httpd-1.5.4-4.el7rhgs.noarch
tendrl-commons-1.5.4-9.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-14.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-14.el7rhgs.noarch
tendrl-node-agent-1.5.4-16.el7rhgs.noarch
tendrl-notifier-1.5.4-6.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.5.4-6.el7rhgs.noarch

Comment 8 errata-xmlrpc 2018-09-04 07:05:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.